Bug 400481 - Review Request: trac-ticketdelete-plugin - Remove tickets and ticket changes from Trac
Summary: Review Request: trac-ticketdelete-plugin - Remove tickets and ticket changes...
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jason Tibbitts
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-11-27 02:07 UTC by Jesse Keating
Modified: 2013-01-10 02:42 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-21 22:37:48 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora-review+


Attachments (Terms of Use)

Description Jesse Keating 2007-11-27 02:07:33 UTC
Spec URL: http://jkeating.fedorapeople.org/review/trac-ticketdelete-plugin.spec
SRPM URL: http://jkeating.fedorapeople.org/review/trac-ticketdelete-plugin-1.1.4-1.20071126svn2825.fc8.src.rpm
Description:
Provides a web interface to removing whole tickets and ticket changes in Trac.

Comment 1 Jason Tibbitts 2007-12-21 20:04:32 UTC
You currently get r2933 when you download the source, but it seems to be the
same.  (No commits since 2006 anyway.)  You can specify the URL to use by
replacing "latest" in your URL with the SVN revision you want to check out.
Too bad spectool can't simply download that URL directly.

rpmlint says only:
  trac-ticketdelete-plugin.noarch: W: no-documentation
which is no problem.

You can probably nuke that comment in the first line and the one in the %files
section as they come from the specfile template.

Really, I see nothing blocking this package.

* source files match upstream:
   2222a50ff44005f103286747fe0e4cb99e29f78ec11693061e86e0fb497e6149
    ticketdeleteplugin-r2825.zip
   2222a50ff44005f103286747fe0e4cb99e29f78ec11693061e86e0fb497e6149
    ticketdeleteplugin-r2933.zip

* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly
* rpmlint has acceptable complaints.
* final provides and requires are sane:
   trac-ticketdelete-plugin = 1.1.4-1.20071126svn2825.fc9
  =
   python(abi) = 2.5
   python-setuptools
   trac

* %check is not present; no test suite upstream.  I have no way to test this
package.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.

APPROVED


Comment 2 Jesse Keating 2007-12-21 21:58:49 UTC
Thanks, I'll clean those things up when I import it.

New Package CVS Request
=======================
Package Name: trac-ticketdelete-plugin
Short Description: Remove tickets and ticket changes from Trac
Owners: jkeating
Branches: EL-5
InitialCC: 
Cvsextras Commits: Yes


Comment 3 Jesse Keating 2007-12-21 22:37:48 UTC
Imported, and built for rawhide/el5.


Note You need to log in before you can comment on or make changes to this bug.